A lisp could read the viewport details in particualr scale, unlock if locked, jump to model space, pick a point, then jump back paperspace and reset Center and Customscale. Not tested.
; IAcadPViewport 3dd11c70 : TeighaX Interface of rectangular object created in paper space that display view
;
; Property values :
;
; Application (RO) = #<VLA-OBJECT IAcadApplication 000000002C756D60>
; Center = (135.0 100.0 0.0)
; CustomScale = 0.448933782267116
; Height = 136.0
; Width = 196.0
You need to use the trans function to work out the XYZ etc. Did drawgrid in paperspace based on model pick pt so have the answers but need to rewrite it to suit.